Attribute VB_Name = "basParam"
Option Explicit

' p[^L[
Private Const csLevel       As String = "Level"
Private Const csNeedCount   As String = "NeedCount"
Private Const csKeyBoard    As String = "KeyBoard"
Private Const csMainSize    As String = "KeyBoardSize"
Private Const csKeyType     As String = "KeyBoardType"
Private Const csFontName    As String = "FontName"
Private Const csDataFile    As String = "DataFileName"
Private Const csBindKey6    As String = "BindKey6"
Private Const csLetterType  As String = "LetterType"
Private Const csMissBeep    As String = "MissBeep"
Private Const csMissNext    As String = "MissNext"
Private Const csMissDisp    As String = "MissKeyDisp"
Private Const csTxtFile     As String = "TextFileName"
Private Const csTxtRead     As String = "TextRead"
Private Const csTxtDispNav  As String = "TextDisplayNavi"

Private Const csPlayerName  As String = "PlayerName"
Private Const csSpeedType   As String = "SpeedGameType"
Private Const csSpeedNormal     As String = "SpeedNormalColor"
Private Const csSpeedActive     As String = "SpeedActiveColor"

Private Const csTestGraphWidth  As String = "TestGraphWidth"
Private Const csTestGraphHeight As String = "TestGraphHeight"
Private Const csTestGraphIndex  As String = "TestGraphIndex"
Public Const csTestGraphFore    As String = "TestGraphForeColor"
Public Const csTestGraphBack    As String = "TestGraphBackColor"
Public Const csTestGraphTime    As String = "TestGraphTimeColor"
Public Const csTestGraphMiss    As String = "TestGraphMissColor"

Private Const csTypeGraphWidth  As String = "TypeGraphWidth"
Private Const csTypeGraphHeight As String = "TypeGraphHeight"
Public Const csTypeGraphFore    As String = "TypeGraphForeColor"
Public Const csTypeGraphBack    As String = "TypeGraphBackColor"
Public Const csTypeGraphMiss    As String = "TypeGraphMissColor"
Public Const csTypeGraphStyle   As String = "TypeGraphFillStyle"

Private Const csTextGraphWidth  As String = "TextGraphWidth"
Private Const csTextGraphHeight As String = "TextGraphHeight"
Public Const csTextGraphFore    As String = "TextGraphForeColor"
Public Const csTextGraphBack    As String = "TextGraphBackColor"
Public Const csTextGraphInput   As String = "TextGraphInputColor"
Public Const csTextGraphMiss    As String = "TextGraphMissColor"
Public Const csTextGraphInpPMin As String = "TextGraphInpPMinColor"
Private Const csTextGraphDisp   As String = "TextGraphDisp"

' ftHgl
Public Const csDefFontName      As String = "lr SVbN"
Private Const csDefTxtFile      As String = "Text\Pref.txt"
Public Const csDefSpeedNormal   As String = "255055055"
Public Const csDefSpeedActive   As String = "055055255"
Public Const csDefTestGraphFore As String = "000000000"
Public Const csDefTestGraphBack As String = "239239239"
Public Const csDefTestGraphTime As String = "255000000"
Public Const csDefTestGraphMiss As String = "000128255"
Public Const csDefTypeGraphFore As String = "000000000"
Public Const csDefTypeGraphBack As String = "239239239"
Public Const csDefTypeGraphMiss As String = "055155055"
Public Const csDefTextGraphFore As String = "000000000"
Public Const csDefTextGraphBack As String = "239239239"
Public Const csDefTextGraphInput    As String = "255128128"
Public Const csDefTextGraphMiss     As String = "000128000"
Public Const csDefTextGraphInpPMin  As String = "000128255"
Public Const ciDefTextGraphDisp     As Integer = 7

' o[
Private miLevel             As Integer  ' x
Private mlNeedCount         As Long     ' ͕
Private miKeyBoard          As Integer  ' L[{[h\L
Private miMainSize          As Integer  ' CEBhE\TCY
Private miKeyType           As Integer  ' L[{[h^Cv
Private msFontName          As String   ' tHg
Private msDataFile          As String   ' f[^t@C
Private miBindKey6          As Integer  ' wUx̃oChݒ
Private miLetterType        As Integer  ' pŕ\
Private miMissBeep          As Integer  ' ~X^Cv̂Ƃ炷
Private miMissNext          As Integer  ' ~X^Cv̂Ƃɐi
Private miMissDisp          As Integer  ' ~X^CvL[\
Private msTxtFile           As String   ' KpeLXgt@C
Private miTxtRead           As Integer  ' ǂݍݏ
Private mbTxtDispNav        As Boolean  ' ͕\L

Private msPlayerName        As String   ' Q[vC[
Private miSpeedType         As Integer  ' Q[̑I
Private msSpeedNormal       As String   ' Q[\F
Private msSpeedActive       As String   ' Q[͐F

' eXgʃOt
Private mlTestGraphWidth    As Long     ' 
Private mlTestGraphHeight   As Long     ' 
Private miTestGraphIndex    As Integer  ' \Ot
Private msTestGraphFore     As String   ' OiF
Private msTestGraphBack     As String   ' wiF
Private msTestGraphTime     As String   ' ͎ԃOtF
Private msTestGraphMiss     As String   ' ~X^CvOtF

' ~X^Cv\Ot
Private mlTypeGraphWidth    As Long     ' 
Private mlTypeGraphHeight   As Long     ' 
Private msTypeGraphFore     As String   ' OiF
Private msTypeGraphBack     As String   ' wiF
Private msTypeGraphMiss     As String   ' ~X^CvOtF
Private miTypeGraphStyle    As Integer  ' hԂX^C

' eLXgKʕ\Ot
Private mlTextGraphWidth    As Long     ' 
Private mlTextGraphHeight   As Long     ' 
Private msTextGraphFore     As String   ' OiF
Private msTextGraphBack     As String   ' wiF
Private msTextGraphInput    As String   ' ͕OtF
Private msTextGraphMiss     As String   ' ~X^CvOtF
Private msTextGraphInpPMin  As String   ' ͐^OtF
Private miTextGraphDisp     As Integer  ' \Otԍ

Public Property Get level() As Integer
'---------------------------------------------------------------------------
'    : level()
' @@@\ : x̎擾
' @@ : Ȃ
'   l : x
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    level = miLevel
End Property

Public Property Let level(ByVal piLevel As Integer)
'---------------------------------------------------------------------------
'    : level()
' @@@\ : x̐ݒ
' @@ : (I) piLevel        x
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    miLevel = piLevel
End Property

Public Property Get needCount() As Long
'---------------------------------------------------------------------------
'    : needCount()
' @@@\ : x̎擾
' @@ : Ȃ
'   l : x
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    needCount = mlNeedCount
End Property

Public Property Let needCount(ByVal plNeedCount As Long)
'---------------------------------------------------------------------------
'    : needCount()
' @@@\ : x̐ݒ
' @@ : (I) plNeedCount    Kvȓ͐
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    mlNeedCount = plNeedCount
End Property

Public Property Get keyBoard() As Integer
'---------------------------------------------------------------------------
'    : keyBoard()
' @@@\ : L[{[h\L̎擾
' @@ : Ȃ
'   l : L[{[h\L
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    keyBoard = miKeyBoard
End Property

Public Property Let keyBoard(ByVal piKeyBoard As Integer)
'---------------------------------------------------------------------------
'    : keyBoard()
' @@@\ : L[{[h\L̐ݒ
' @@ : (I) piKeyBoard     L[{[h̕\L
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    miKeyBoard = piKeyBoard
End Property

Public Property Get mainSize() As Integer
'---------------------------------------------------------------------------
'    : mainSize()
' @@@\ : CEBhE\TCY̎擾
' @@ : Ȃ
'   l : CEBhE\TCY
' @@ : 1999/06/25
'---------------------------------------------------------------------------
    mainSize = miMainSize
End Property

Public Property Let mainSize(ByVal piMainSize As Integer)
'---------------------------------------------------------------------------
'    : mainSize()
' @@@\ : CEBhE\TCY̐ݒ
' @@ : (I) piMainSize     CEBhE\TCY
'   l : Ȃ
' @@ : 1999/06/25
'---------------------------------------------------------------------------
    miMainSize = piMainSize
End Property

Public Property Get keyType() As Integer
'---------------------------------------------------------------------------
'    : keyType()
' @@@\ : L[{[h^Cv̎擾
' @@ : Ȃ
'   l : L[{[h^Cv
' @@ : 1999/06/25
'---------------------------------------------------------------------------
    keyType = miKeyType
End Property

Public Property Let keyType(ByVal piKeyType As Integer)
'---------------------------------------------------------------------------
'    : keyType()
' @@@\ : L[{[h^Cv̐ݒ
' @@ : (I) piKeyType      L[{[h^Cv
'   l : Ȃ
' @@ : 1999/06/25
'---------------------------------------------------------------------------
    miKeyType = piKeyType
End Property

Public Property Get fontName() As String
'---------------------------------------------------------------------------
'    : fontName()
' @@@\ : tHg̎擾
' @@ : Ȃ
'   l : tHg
' @@ : 1999/07/01
'---------------------------------------------------------------------------
    fontName = msFontName
End Property

Public Property Let fontName(ByVal psFontName As String)
'---------------------------------------------------------------------------
'    : fontName()
' @@@\ : tHg̐ݒ
' @@ : (I) psFontName     tHg
'   l : Ȃ
' @@ : 1999/07/01
'---------------------------------------------------------------------------
    msFontName = psFontName
End Property

Public Property Get dataFile() As String
'---------------------------------------------------------------------------
'    : dataFile()
' @@@\ : f[^t@C̎擾
' @@ : Ȃ
'   l : f[^t@C
' @@ : 1999/07/01
'---------------------------------------------------------------------------
    dataFile = msDataFile
End Property

Public Property Let dataFile(ByVal psDataFile As String)
'---------------------------------------------------------------------------
'    : dataFile()
' @@@\ : f[^t@C̐ݒ
' @@ : (I) psDataFile     f[^t@C
'   l : Ȃ
' @@ : 1999/07/01
'---------------------------------------------------------------------------
    msDataFile = psDataFile
End Property

Public Property Get bindKey6() As Integer
'---------------------------------------------------------------------------
'    : bindKey6()
' @@@\ : wUx̃oChݒ̎擾
' @@ : Ȃ
'   l : wUx̃oChݒ
' @@ : 1999/07/04
'---------------------------------------------------------------------------
    bindKey6 = miBindKey6
End Property

Public Property Let bindKey6(ByVal piKeyBind As Integer)
'---------------------------------------------------------------------------
'    : bindKey6()
' @@@\ : wUx̃oChݒ̐ݒ
' @@ : (I) piKeyBind      wUx̃oChݒ
'   l : Ȃ
' @@ : 1999/07/04
'---------------------------------------------------------------------------
    miBindKey6 = piKeyBind
End Property

Public Property Get letterType() As Integer
'---------------------------------------------------------------------------
'    : letterType()
' @@@\ : pŕ\ݒ̎擾
' @@ : Ȃ
'   l : pŕ\ݒ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    letterType = miLetterType
End Property

Public Property Let letterType(ByVal piLetterType As Integer)
'---------------------------------------------------------------------------
'    : letterType()
' @@@\ : pŕ\ݒ̐ݒ
' @@ : (I) piLetterType   pŕ\ݒ
'   l : Ȃ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    miLetterType = piLetterType
End Property

Public Property Get missBeep() As Integer
'---------------------------------------------------------------------------
'    : missBeep()
' @@@\ : ~X^Cv̂Ƃ炷ݒ̎擾
' @@ : Ȃ
'   l : ~X^Cv̂Ƃ炷ݒ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    missBeep = miMissBeep
End Property

Public Property Let missBeep(ByVal piMissBeep As Integer)
'---------------------------------------------------------------------------
'    : missBeep()
' @@@\ : ~X^Cv̂Ƃ炷ݒ̐ݒ
' @@ : (I) piMissBeep     ~X^Cv̂Ƃ炷ݒ
'   l : Ȃ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    miMissBeep = piMissBeep
End Property

Public Property Get missNext() As Integer
'---------------------------------------------------------------------------
'    : missNext()
' @@@\ : ~X^Cv̂Ƃɐiސݒ̎擾
' @@ : Ȃ
'   l : ~X^Cv̂Ƃɐiސݒ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    missNext = miMissNext
End Property

Public Property Let missNext(ByVal piMissNext As Integer)
'---------------------------------------------------------------------------
'    : missNext()
' @@@\ : ~X^Cv̂Ƃɐiސݒ̐ݒ
' @@ : (I) piMissNext     ~X^Cv̂Ƃɐiސݒ
'   l : Ȃ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    miMissNext = piMissNext
End Property

Public Property Get missDisp() As Integer
'---------------------------------------------------------------------------
'    : missDisp()
' @@@\ : ~X^CvL[̕\ݒ̎擾
' @@ : Ȃ
'   l : ~X^CvL[̕\ݒ
' @@ : 1999/08/15
'---------------------------------------------------------------------------
    missDisp = miMissDisp
End Property

Public Property Let missDisp(ByVal piMissDisp As Integer)
'---------------------------------------------------------------------------
'    : missDisp()
' @@@\ : ~X^CvL[̕\ݒ̐ݒ
' @@ : (I) piMissDisp     ~X^CvL[̕\ݒ
'   l : Ȃ
' @@ : 1999/08/15
'---------------------------------------------------------------------------
    miMissDisp = piMissDisp
End Property

Public Property Get tTxtFile() As String
'---------------------------------------------------------------------------
'    : tTxtFile()
' @@@\ : KpeLXgt@C̎擾
' @@ : Ȃ
'   l : KpeLXgt@C
' @@ : 1999/07/27
'---------------------------------------------------------------------------
    tTxtFile = msTxtFile
End Property

Public Property Let tTxtFile(ByVal psTextFile As String)
'---------------------------------------------------------------------------
'    : tTxtFile()
' @@@\ : KpeLXgt@C̐ݒ
' @@ : (I) psTextFile     KpeLXgt@C
'   l : Ȃ
' @@ : 1999/07/27
'---------------------------------------------------------------------------
    msTxtFile = psTextFile
End Property

Public Property Get tTxtRead() As Integer
'---------------------------------------------------------------------------
'    : tTxtRead()
' @@@\ : ǂݍݏԂ̎擾
' @@ : Ȃ
'   l : ǂݍݏ
' @@ : 1999/07/27
'---------------------------------------------------------------------------
    tTxtRead = miTxtRead
End Property

Public Property Let tTxtRead(ByVal piTextRead As Integer)
'---------------------------------------------------------------------------
'    : tTxtRead()
' @@@\ : ǂݍݏԂ̐ݒ
' @@ : (I) piTextRead     ǂݍݏ
'   l : Ȃ
' @@ : 1999/07/27
'---------------------------------------------------------------------------
    miTxtRead = piTextRead
End Property

Public Property Get tTxtDispNavi() As Integer
'---------------------------------------------------------------------------
'    : tTxtDispNavi()
' @@@\ : ͕\L̎擾
' @@ : Ȃ
'   l : ͕\L
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    tTxtDispNavi = mbTxtDispNav
End Property

Public Property Let tTxtDispNavi(ByVal piDispNav As Integer)
'---------------------------------------------------------------------------
'    : tTxtDispNavi()
' @@@\ : ͕\L̐ݒ
' @@ : (I) piDispNav      ͕̕\L
'   l : Ȃ
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    mbTxtDispNav = piDispNav
End Property

Public Property Get playerName() As String
'---------------------------------------------------------------------------
'    : playerName()
' @@@\ : Q[vC[̎擾
' @@ : Ȃ
'   l : Q[vC[
' @@ : 1999/07/04
'---------------------------------------------------------------------------
    playerName = msPlayerName
End Property

Public Property Let playerName(ByVal psPlayerName As String)
'---------------------------------------------------------------------------
'    : playerName()
' @@@\ : Q[vC[̐ݒ
' @@ : (I) psPlayerName   Q[vC[
'   l : Ȃ
' @@ : 1999/07/04
'---------------------------------------------------------------------------
    msPlayerName = psPlayerName
End Property

Public Property Get speedType() As Integer
'---------------------------------------------------------------------------
'    : speedType()
' @@@\ : Q[ނ̎擾
' @@ : Ȃ
'   l : Q[
' @@ : 1999/07/10
'---------------------------------------------------------------------------
    speedType = miSpeedType
End Property

Public Property Let speedType(ByVal piSpeedType As Integer)
'---------------------------------------------------------------------------
'    : speedType()
' @@@\ : Q[ނ̐ݒ
' @@ : (I) piSpeedType    Q[
'   l : Ȃ
' @@ : 1999/07/10
'---------------------------------------------------------------------------
    miSpeedType = piSpeedType
End Property

Public Property Get speedNormal() As String
'---------------------------------------------------------------------------
'    : speedNormal()
' @@@\ : Q[\F̎擾
' @@ : Ȃ
'   l : Q[\F
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    speedNormal = msSpeedNormal
End Property

Public Property Let speedNormal(ByVal psColorString As String)
'---------------------------------------------------------------------------
'    : speedNormal()
' @@@\ : Q[\F̐ݒ
' @@ : (I) psColorString  Q[\F
'   l : Ȃ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    msSpeedNormal = psColorString
End Property

Public Property Get speedActive() As String
'---------------------------------------------------------------------------
'    : speedActive()
' @@@\ : Q[͐F̎擾
' @@ : Ȃ
'   l : Q[͐F
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    speedActive = msSpeedActive
End Property

Public Property Let speedActive(ByVal psColorString As String)
'---------------------------------------------------------------------------
'    : speedActive()
' @@@\ : Q[͐F̐ݒ
' @@ : (I) psColorString  Q[͐F
'   l : Ȃ
' @@ : 1999/07/15
'---------------------------------------------------------------------------
    msSpeedActive = psColorString
End Property

Public Property Get testGraphWidth() As Long
'---------------------------------------------------------------------------
'    : testGraphWidth()
' @@@\ : eXgʃOtʕ̎擾
' @@ : Ȃ
'   l : eXgʃOtʕ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    testGraphWidth = mlTestGraphWidth
End Property

Public Property Let testGraphWidth(ByVal plWidth As Long)
'---------------------------------------------------------------------------
'    : testGraphWidth()
' @@@\ : eXgʃOtʕ̐ݒ
' @@ : (I) plWidth        ʕ
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    mlTestGraphWidth = plWidth
End Property

Public Property Get testGraphHeight() As Long
'---------------------------------------------------------------------------
'    : testGraphHeight()
' @@@\ : eXgʃOtʍ̎擾
' @@ : Ȃ
'   l : eXgʃOtʍ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    testGraphHeight = mlTestGraphHeight
End Property

Public Property Let testGraphHeight(ByVal plHeight As Long)
'---------------------------------------------------------------------------
'    : testGraphHeight()
' @@@\ : eXgʃOtʍ̐ݒ
' @@ : (I) plHeight       ʍ
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    mlTestGraphHeight = plHeight
End Property

Public Property Get testGraphIndex() As Integer
'---------------------------------------------------------------------------
'    : testGraphIndex()
' @@@\ : eXgʃOt\eXg̎擾
' @@ : Ȃ
'   l : \eXg
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    testGraphIndex = miTestGraphIndex
End Property

Public Property Let testGraphIndex(ByVal piIndex As Integer)
'---------------------------------------------------------------------------
'    : testGraphIndex()
' @@@\ : eXgʃOt\eXg̐ݒ
' @@ : (I) piIndex        eXgʃOt\eXg
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    miTestGraphIndex = piIndex
End Property

Public Property Get testGraphColor(ByVal psColorName As String) As String
'---------------------------------------------------------------------------
'    : testGraphColor()
' @@@\ : eXgʃOt\F̎擾
' @@ : (I) psColorName    ݒ肷F
'   l : eXgʃOt\F
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    Select Case psColorName
        Case csTestGraphFore
            testGraphColor = msTestGraphFore
        Case csTestGraphBack
            testGraphColor = msTestGraphBack
        Case csTestGraphTime
            testGraphColor = msTestGraphTime
        Case csTestGraphMiss
            testGraphColor = msTestGraphMiss
    End Select
End Property

Public Property Let testGraphColor(ByVal psColorName As String, ByVal psColor As String)
'---------------------------------------------------------------------------
'    : testGraphColor()
' @@@\ : eXgʃOt\F̐ݒ
' @@ : (I) psColorName    ݒ肷F
'          : (I) psColor        eXgʃOt\F
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    Select Case psColorName
        Case csTestGraphFore
            msTestGraphFore = psColor
        Case csTestGraphBack
            msTestGraphBack = psColor
        Case csTestGraphTime
            msTestGraphTime = psColor
        Case csTestGraphMiss
            msTestGraphMiss = psColor
    End Select
End Property

Public Property Get typeGraphWidth() As Long
'---------------------------------------------------------------------------
'    : typeGraphWidth()
' @@@\ : ~X^Cv\Otʕ̎擾
' @@ : Ȃ
'   l : ~X^Cv\Otʕ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    typeGraphWidth = mlTypeGraphWidth
End Property

Public Property Let typeGraphWidth(ByVal plWidth As Long)
'---------------------------------------------------------------------------
'    : typeGraphWidth()
' @@@\ : ~X^Cv\Otʕ̐ݒ
' @@ : (I) plWidth        ʕ
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    mlTypeGraphWidth = plWidth
End Property

Public Property Get typeGraphHeight() As Long
'---------------------------------------------------------------------------
'    : typeGraphHeight()
' @@@\ : ~X^Cv\Otʍ̎擾
' @@ : Ȃ
'   l : ~X^Cv\Otʍ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    typeGraphHeight = mlTypeGraphHeight
End Property

Public Property Let typeGraphHeight(ByVal plHeight As Long)
'---------------------------------------------------------------------------
'    : typeGraphHeight()
' @@@\ : ~X^Cv\Otʍ̐ݒ
' @@ : (I) plHeight       ʍ
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    mlTypeGraphHeight = plHeight
End Property

Public Property Get typeGraphColor(ByVal psColorName As String) As String
'---------------------------------------------------------------------------
'    : typeGraphColor()
' @@@\ : ~X^Cv\Ot\F̎擾
' @@ : (I) psColorName    ݒ肷F
'   l : ~X^Cv\Ot\F
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    Select Case psColorName
        Case csTypeGraphFore
            typeGraphColor = msTypeGraphFore
        Case csTypeGraphBack
            typeGraphColor = msTypeGraphBack
        Case csTypeGraphMiss
            typeGraphColor = msTypeGraphMiss
    End Select
End Property

Public Property Let typeGraphColor(ByVal psColorName As String, ByVal psColor As String)
'---------------------------------------------------------------------------
'    : typeGraphColor()
' @@@\ : ~X^Cv\Ot\F̐ݒ
' @@ : (I) psColorName    ݒ肷F
'          : (I) psColor        ~X^Cv\Ot\F
'   l : Ȃ
' @@ : 1999/07/03
'---------------------------------------------------------------------------
    Select Case psColorName
        Case csTypeGraphFore
            msTypeGraphFore = psColor
        Case csTypeGraphBack
            msTypeGraphBack = psColor
        Case csTypeGraphMiss
            msTypeGraphMiss = psColor
    End Select
End Property

Public Property Get typeGraphFillStyle() As Integer
'---------------------------------------------------------------------------
'    : typeGraphFillStyle()
' @@@\ : hԂX^C̎擾
' @@ : Ȃ
'   l : hԂX^C
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    typeGraphFillStyle = miTypeGraphStyle
End Property

Public Property Let typeGraphFillStyle(ByVal piFillStyle As Integer)
'---------------------------------------------------------------------------
'    : typeGraphFillStyle()
' @@@\ : hԂX^C̐ݒ
' @@ : (I) piFillStyle    hԂX^C
'   l : Ȃ
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    miTypeGraphStyle = piFillStyle
End Property

Public Property Get textGraphWidth() As Long
'---------------------------------------------------------------------------
'    : textGraphWidth()
' @@@\ : eLXgKʕ\Otʕ̎擾
' @@ : Ȃ
'   l : ʕ
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    textGraphWidth = mlTextGraphWidth
End Property

Public Property Let textGraphWidth(ByVal plWidth As Long)
'---------------------------------------------------------------------------
'    : textGraphWidth()
' @@@\ : eLXgKʕ\Otʕ̐ݒ
' @@ : (I) plWidth        ʕ
'   l : Ȃ
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    mlTextGraphWidth = plWidth
End Property

Public Property Get textGraphHeight() As Long
'---------------------------------------------------------------------------
'    : textGraphHeight()
' @@@\ : eLXgKʕ\Otʍ̎擾
' @@ : Ȃ
'   l : ʍ
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    textGraphHeight = mlTextGraphHeight
End Property

Public Property Let textGraphHeight(ByVal plHeight As Long)
'---------------------------------------------------------------------------
'    : textGraphHeight()
' @@@\ : eLXgKʕ\Otʍ̐ݒ
' @@ : (I) plHeight       ʍ
'   l : Ȃ
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    mlTextGraphHeight = plHeight
End Property

Public Property Get textGraphColor(ByVal psColorName As String) As String
'---------------------------------------------------------------------------
'    : textGraphColor()
' @@@\ : eLXgKʕ\Ot\F̎擾
' @@ : (I) psColorName    ݒ肷F
'   l : eLXgKʕ\Ot\F
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    Select Case psColorName
        Case csTextGraphFore
            textGraphColor = msTextGraphFore
        Case csTextGraphBack
            textGraphColor = msTextGraphBack
        Case csTextGraphInput
            textGraphColor = msTextGraphInput
        Case csTextGraphMiss
            textGraphColor = msTextGraphMiss
        Case csTextGraphInpPMin
            textGraphColor = msTextGraphInpPMin
    End Select
End Property

Public Property Let textGraphColor(ByVal psColorName As String, ByVal psColor As String)
'---------------------------------------------------------------------------
'    : textGraphColor()
' @@@\ : eLXgKʕ\Ot\F̐ݒ
' @@ : (I) psColorName    ݒ肷F
'          : (I) psColor        eLXgKʕ\Ot\F
'   l : Ȃ
' @@ : 1999/08/01
'---------------------------------------------------------------------------
    Select Case psColorName
        Case csTextGraphFore
            msTextGraphFore = psColor
        Case csTextGraphBack
            msTextGraphBack = psColor
        Case csTextGraphInput
            msTextGraphInput = psColor
        Case csTextGraphMiss
            msTextGraphMiss = psColor
        Case csTextGraphInpPMin
            msTextGraphInpPMin = psColor
    End Select
End Property

Public Property Get textGraphDisp() As Integer
'---------------------------------------------------------------------------
'    : textGraphDisp()
' @@@\ : \Otԍ̎擾
' @@ : Ȃ
'   l : \Otԍ
' @@ : 1999/08/02
'---------------------------------------------------------------------------
    textGraphDisp = miTextGraphDisp
End Property

Public Property Let textGraphDisp(ByVal piDispNo As Integer)
'---------------------------------------------------------------------------
'    : textGraphDisp()
' @@@\ : \Otԍ̐ݒ
' @@ : (I) piDispNo       \Otԍ
'   l : Ȃ
' @@ : 1999/08/02
'---------------------------------------------------------------------------
    miTextGraphDisp = piDispNo
End Property

Public Function ptReadIniFile() As Boolean
'---------------------------------------------------------------------------
'    : ptReadIniFile()
' @@@\ : p[^t@Cǂݍ
' @@ : Ȃ
'   l : True= , False= s
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    Dim liFileNo        As Integer          ' t@Cԍ
    Dim liloopcnt       As Integer          ' [vJE^
    Dim lsFileName      As String           ' t@C
    Dim lsLine          As String           ' ǂݍݕ
    Dim lsKeyStr        As String           ' p[^L[
    Dim liEqlPos        As Integer          ' ̈ʒu
    Dim lsPrmStr        As String           ' p[^l
    Dim lsAppPath       As String           ' AvP[ṼpX

    On Error GoTo ptReadIniFile_Error

    lsAppPath = App.Path
    If Right(lsAppPath, 1) <> "\" Then
        lsAppPath = lsAppPath & "\"
    End If
    lsFileName = lsAppPath & App.ProductName & ".ini"
    liFileNo = FreeFile
    mlNeedCount = 50
    miKeyBoard = vbChecked
    msFontName = csDefFontName
    msDataFile = lsAppPath & App.ProductName & ".dat"
    miBindKey6 = 4
    miMissDisp = vbChecked
    msTxtFile = lsAppPath & csDefTxtFile
    miTxtRead = ciTxtRDsc
    mbTxtDispNav = True

    miSpeedType = 1
    msSpeedNormal = csDefSpeedNormal
    msSpeedActive = csDefSpeedActive

    miTestGraphIndex = ciGrade3
    msTestGraphFore = csDefTestGraphFore
    msTestGraphBack = csDefTestGraphBack
    msTestGraphTime = csDefTestGraphTime
    msTestGraphMiss = csDefTestGraphMiss

    msTypeGraphFore = csDefTypeGraphFore
    msTypeGraphBack = csDefTypeGraphBack
    msTypeGraphMiss = csDefTypeGraphMiss
    miTypeGraphStyle = vbDownwardDiagonal

    msTextGraphFore = csDefTextGraphFore
    msTextGraphBack = csDefTextGraphBack
    msTextGraphInput = csDefTextGraphInput
    msTextGraphMiss = csDefTextGraphMiss
    msTextGraphInpPMin = csDefTextGraphInpPMin
    miTextGraphDisp = ciDefTextGraphDisp

    Open lsFileName For Input Access Read As liFileNo
    On Error Resume Next
    Do While Not EOF(liFileNo)
        Line Input #liFileNo, lsLine
        lsLine = LTrim(lsLine)
        liEqlPos = InStr(lsLine, "=")

        If liEqlPos > 0 Then
            lsKeyStr = Left(lsLine, liEqlPos - 1)
            lsPrmStr = Mid(lsLine, liEqlPos + 1)

            Select Case UCase(Trim(lsKeyStr))
                Case UCase(csLevel)
                    miLevel = Trim(lsPrmStr)
                    If miLevel < 0 Or miLevel > 12 Then
                        miLevel = 0
                    End If

                Case UCase(csNeedCount)
                    mlNeedCount = CLng(lsPrmStr)
                    If mlNeedCount <= 0 Or mlNeedCount > 9999 Then
                        mlNeedCount = 50
                    End If

                Case UCase(csKeyBoard)
                    miKeyBoard = CInt(lsPrmStr)
                    If miKeyBoard <> vbUnchecked And miKeyBoard <> vbChecked Then
                        miKeyBoard = vbChecked
                    End If

                Case UCase(csMainSize)
                    miMainSize = CInt(lsPrmStr)
                    If miMainSize <> 0 And miMainSize <> 1 Then
                        miMainSize = 0
                    End If

                Case UCase(csKeyType)
                    miKeyType = CInt(lsPrmStr)
                    If miKeyType <> 0 And miKeyType <> 1 Then
                        miKeyType = 0
                    End If

                Case UCase(csFontName)
                    msFontName = Trim(lsPrmStr)

                Case UCase(csDataFile)
                    msDataFile = Trim(lsPrmStr)

                Case UCase(csBindKey6)
                    miBindKey6 = CInt(lsPrmStr)
                    If miBindKey6 <> 3 And miBindKey6 <> 4 Then
                        miBindKey6 = 4
                    End If

                Case UCase(csLetterType)
                    miLetterType = CInt(lsPrmStr)
                    If miLetterType <> vbUnchecked And miLetterType <> vbChecked Then
                        miLetterType = vbUnchecked
                    End If

                Case UCase(csMissBeep)
                    miMissBeep = CInt(lsPrmStr)
                    If miMissBeep <> vbUnchecked And miMissBeep <> vbChecked Then
                        miMissBeep = vbUnchecked
                    End If

                Case UCase(csMissNext)
                    miMissNext = CInt(lsPrmStr)
                    If miMissNext <> vbUnchecked And miMissNext <> vbChecked Then
                        miMissNext = vbUnchecked
                    End If

                Case UCase(csMissDisp)
                    miMissDisp = CInt(lsPrmStr)
                    If miMissDisp <> vbUnchecked And miMissDisp <> vbChecked Then
                        miMissDisp = vbChecked
                    End If

                Case UCase(csTxtFile)
                    msTxtFile = Trim(lsPrmStr)

                Case UCase(csTxtRead)
                    miTxtRead = CInt(lsPrmStr)
                    If miTxtRead < ciTxtRDsc Or miTxtRead > ciTxtRRnd Then
                        miTxtRead = ciTxtRDsc
                    End If

                Case UCase(csTxtDispNav)
                    mbTxtDispNav = CBool(lsPrmStr)

                Case UCase(csPlayerName)
                    msPlayerName = Left(Trim(lsPrmStr), 10)

                Case UCase(csSpeedType)
                    miSpeedType = CInt(lsPrmStr)
                    If miSpeedType <> 0 And miSpeedType <> 1 Then
                        miSpeedType = 1
                    End If

                Case UCase(csSpeedNormal)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msSpeedNormal = Trim(lsPrmStr)
                    End If

                Case UCase(csSpeedActive)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msSpeedActive = Trim(lsPrmStr)
                    End If

                Case UCase(csTestGraphWidth)
                    mlTestGraphWidth = CLng(lsPrmStr)

                Case UCase(csTestGraphHeight)
                    mlTestGraphHeight = CLng(lsPrmStr)

                Case UCase(csTestGraphIndex)
                    miTestGraphIndex = CInt(lsPrmStr)
					If miTestGraphIndex <> ciGrade1 And miTestGraphIndex <> ciGrade3 Then
                        miTestGraphIndex = ciGrade3
				    End If

                Case UCase(csTestGraphFore)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTestGraphFore = Trim(lsPrmStr)
                    End If

                Case UCase(csTestGraphBack)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTestGraphBack = Trim(lsPrmStr)
                    End If

                Case UCase(csTestGraphTime)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTestGraphTime = Trim(lsPrmStr)
                    End If

                Case UCase(csTestGraphMiss)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTestGraphMiss = Trim(lsPrmStr)
                    End If

                Case UCase(csTypeGraphWidth)
                    mlTypeGraphWidth = CLng(lsPrmStr)

                Case UCase(csTypeGraphHeight)
                    mlTypeGraphHeight = CLng(lsPrmStr)

                Case UCase(csTypeGraphFore)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTypeGraphFore = Trim(lsPrmStr)
                    End If

                Case UCase(csTypeGraphBack)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTypeGraphBack = Trim(lsPrmStr)
                    End If

                Case UCase(csTypeGraphMiss)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTypeGraphMiss = Trim(lsPrmStr)
                    End If

                Case UCase(csTypeGraphStyle)
                    miTypeGraphStyle = CLng(lsPrmStr)
                    If miTypeGraphStyle < vbFSSolid Or miTypeGraphStyle > vbDiagonalCross Then
                        miTypeGraphStyle = vbDownwardDiagonal
                    End If

                Case UCase(csTextGraphWidth)
                    mlTextGraphWidth = CLng(lsPrmStr)

                Case UCase(csTextGraphHeight)
                    mlTextGraphHeight = CLng(lsPrmStr)

                Case UCase(csTextGraphFore)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTextGraphFore = Trim(lsPrmStr)
                    End If

                Case UCase(csTextGraphBack)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTextGraphBack = Trim(lsPrmStr)
                    End If

                Case UCase(csTextGraphInput)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTextGraphInput = Trim(lsPrmStr)
                    End If

                Case UCase(csTextGraphMiss)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTextGraphMiss = Trim(lsPrmStr)
                    End If

                Case UCase(csTextGraphInpPMin)
                    If Len(Trim(lsPrmStr)) = 9 Then
                        msTextGraphInpPMin = Trim(lsPrmStr)
                    End If

                Case UCase(csTextGraphDisp)
                    miTextGraphDisp = CInt(lsPrmStr)
					If miTextGraphDisp < 0 Or miTextGraphDisp > ciDefTextGraphDisp Then
					    miTextGraphDisp = ciDefTextGraphDisp
					End If

            End Select
        End If
    Loop

    Close liFileNo
    ptReadIniFile = True
    Exit Function

ptReadIniFile_Error:
    Close liFileNo
    ptReadIniFile = False
End Function

Public Function ptWriteIniFile() As Boolean
'---------------------------------------------------------------------------
'    : ptWriteIniFile()
' @@@\ : ݒt@C̏
' @@ : Ȃ
'   l : True= , False= s
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    Dim liFileNo        As Integer          ' t@Cԍ
    Dim lsIniFile       As String           ' ݒt@C
    Dim liRetCode       As Integer          ' ߂l
    Dim lsAppPath       As String           ' AvP[ṼpX

    On Error GoTo ptWriteIniFile_Error

    lsAppPath = App.Path
    If Right(lsAppPath, 1) <> "\" Then
        lsAppPath = lsAppPath & "\"
    End If
    lsIniFile = lsAppPath & App.ProductName & ".ini"
    liFileNo = FreeFile

    Open lsIniFile For Output Access Write As liFileNo
    Print #liFileNo, "[PrType]"
    Print #liFileNo, ""
    If miLevel <> 0 Then
        Print #liFileNo, csLevel & "=" & miLevel
    End If
    If mlNeedCount <> 50 Then
        Print #liFileNo, csNeedCount & "=" & mlNeedCount
    End If
    If miKeyBoard <> vbChecked Then
        Print #liFileNo, csKeyBoard & "=" & miKeyBoard
    End If
    If miMainSize <> 0 Then
        Print #liFileNo, csMainSize & "=" & miMainSize
    End If
    If miKeyType <> 0 Then
        Print #liFileNo, csKeyType & "=" & miKeyType
    End If
    If msFontName <> csDefFontName Then
        Print #liFileNo, csFontName & "=" & msFontName
    End If
    If msDataFile <> lsAppPath & App.ProductName & ".dat" Then
        Print #liFileNo, csDataFile & "=" & msDataFile
    End If
    If miBindKey6 <> 4 Then
        Print #liFileNo, csBindKey6 & "=" & miBindKey6
    End If
    If miLetterType <> vbUnchecked Then
        Print #liFileNo, csLetterType & "=" & miLetterType
    End If
    If miMissBeep <> vbUnchecked Then
        Print #liFileNo, csMissBeep & "=" & miMissBeep
    End If
    If miMissNext <> vbUnchecked Then
        Print #liFileNo, csMissNext & "=" & miMissNext
    End If
    If miMissDisp <> vbChecked Then
        Print #liFileNo, csMissDisp & "=" & miMissDisp
    End If
    If msTxtFile <> lsAppPath & csDefTxtFile Then
        Print #liFileNo, csTxtFile & "=" & msTxtFile
    End If
    If miTxtRead <> ciTxtRDsc Then
        Print #liFileNo, csTxtRead & "=" & miTxtRead
    End If
    If mbTxtDispNav <> True Then
        Print #liFileNo, csTxtDispNav & "=" & mbTxtDispNav
    End If
    If msPlayerName <> "" Then
        Print #liFileNo, csPlayerName & "=" & msPlayerName
    End If
    If miSpeedType <> 1 Then
        Print #liFileNo, csSpeedType & "=" & miSpeedType
    End If
    If msSpeedNormal <> csDefSpeedNormal Then
        Print #liFileNo, csSpeedNormal & "=" & msSpeedNormal
    End If
    If msSpeedActive <> csDefSpeedActive Then
        Print #liFileNo, csSpeedActive & "=" & msSpeedActive
    End If

    ' eXgʃOt
    Print #liFileNo, csTestGraphWidth & "=" & mlTestGraphWidth
    Print #liFileNo, csTestGraphHeight & "=" & mlTestGraphHeight
    If miTestGraphIndex <> ciGrade3 Then
        Print #liFileNo, csTestGraphIndex & "=" & miTestGraphIndex
    End If
    If msTestGraphFore <> csDefTestGraphFore Then
        Print #liFileNo, csTestGraphFore & "=" & msTestGraphFore
    End If
    If msTestGraphBack <> csDefTestGraphBack Then
        Print #liFileNo, csTestGraphBack & "=" & msTestGraphBack
    End If
    If msTestGraphTime <> csDefTestGraphTime Then
        Print #liFileNo, csTestGraphTime & "=" & msTestGraphTime
    End If
    If msTestGraphMiss <> csDefTestGraphMiss Then
        Print #liFileNo, csTestGraphMiss & "=" & msTestGraphMiss
    End If

    ' ~X^Cv\Ot
    Print #liFileNo, csTypeGraphWidth & "=" & mlTypeGraphWidth
    Print #liFileNo, csTypeGraphHeight & "=" & mlTypeGraphHeight
    If msTypeGraphFore <> csDefTypeGraphFore Then
        Print #liFileNo, csTypeGraphFore & "=" & msTypeGraphFore
    End If
    If msTypeGraphBack <> csDefTypeGraphBack Then
        Print #liFileNo, csTypeGraphBack & "=" & msTypeGraphBack
    End If
    If msTypeGraphMiss <> csDefTypeGraphMiss Then
        Print #liFileNo, csTypeGraphMiss & "=" & msTypeGraphMiss
    End If
    If miTypeGraphStyle <> vbDownwardDiagonal Then
        Print #liFileNo, csTypeGraphStyle & "=" & miTypeGraphStyle
    End If

    ' eLXgKʕ\Ot
    Print #liFileNo, csTextGraphWidth & "=" & mlTextGraphWidth
    Print #liFileNo, csTextGraphHeight & "=" & mlTextGraphHeight
    If msTextGraphFore <> csDefTextGraphFore Then
        Print #liFileNo, csTextGraphFore & "=" & msTextGraphFore
    End If
    If msTextGraphBack <> csDefTextGraphBack Then
        Print #liFileNo, csTextGraphBack & "=" & msTextGraphBack
    End If
    If msTextGraphInput <> csDefTextGraphInput Then
        Print #liFileNo, csTextGraphInput & "=" & msTextGraphInput
    End If
    If msTextGraphMiss <> csDefTextGraphMiss Then
        Print #liFileNo, csTextGraphMiss & "=" & msTextGraphMiss
    End If
    If msTextGraphInpPMin <> csDefTextGraphInpPMin Then
        Print #liFileNo, csTextGraphInpPMin & "=" & msTextGraphInpPMin
    End If
    If miTextGraphDisp <> ciDefTextGraphDisp Then
        Print #liFileNo, csTextGraphDisp & "=" & miTextGraphDisp
    End If

    Close liFileNo
    ptWriteIniFile = True
    Exit Function

ptWriteIniFile_Error:
    liRetCode = MsgBox("ݒt@C݂̏Ɏs܂B" & vbCrLf & lsIniFile, vbCritical Or vbRetryCancel, "G[")
    If liRetCode = vbRetry Then
        Resume
    End If
    Close #liFileNo
    ptWriteIniFile = False
End Function
