Attribute VB_Name = "basResults"
Option Explicit

Private Const csDatVersion  As String = "00005.00"

Public Const ciSaveCnt      As Integer = 50
Public Const ciGrade1       As Integer = 0
Public Const ciGrade2       As Integer = 1
Public Const ciGrade3       As Integer = 2

Public Const ciMaxRank      As Integer = 5

' eXg
Private Type tScoreData
    lAllCnt             As Long         ' 
    dMaxSpeed           As Double       ' ől
    dMinSpeed           As Double       ' Œxl
    dTime(ciSaveCnt)    As Double       ' ͎

    iMaxMiss            As Integer      ' ő~X^Cv
    iMinMiss            As Integer      ' ŏ~X^Cv
    iMiss(ciSaveCnt)    As Integer      ' ~X^Cv
End Type
Private Type tScore
    tData               As tScoreData
End Type

' K
Private Type tPractice
    lNeedCount          As Long         ' L[͉
    dInputSpeed         As Double       ' ͎
    iPerMinute          As Integer      ' P̓͐
    iMissType           As Integer      ' ~X^Cv
    iMissKey(100)       As Integer      ' L[̃~X
End Type

' eLXgK
Private Type tTextScore
    lAllCnt                 As Long     ' 
    lInputNum(ciSaveCnt)    As Long     ' ͐
    lMissType(ciSaveCnt)    As Long     ' ~X^Cv
    dInpParMin(ciSaveCnt)   As Double   ' ́^
End Type

' D萬
Private Type tBalScore
    lScore              As Long         ' _
    lLevel              As Long         ' x
    sDate               As String * 10  ' t
    sName               As String * 10  ' O
End Type

' I˂萬
Private Type tTargScore
    lScore              As Long         ' _
    sDate               As String * 10  ' t
    sName               As String * 10  ' O
End Type

' 
Private Type tSpeedScore
    lTime               As Long         ' ͎
    iMissType           As Integer      ' ~X^Cv
    sDate               As String * 10  ' t
    sName               As String * 10  ' O
End Type

' ϐ
Private mtGrade(3)      As tScore       ' eXg
Private mtPractice(2)   As tPractice    ' K
Private mtTextScore     As tTextScore   ' eLXgK
Private mtBalScore(ciMaxRank)   As tBalScore    ' D萬
Private mtTargScore(ciMaxRank)  As tTargScore   ' I˂萬
Private mtSpeedScore(ciMaxRank * 2) As tSpeedScore  ' 

Public Property Get gCount(ByVal piTestIndex As Integer) As Long
'---------------------------------------------------------------------------
'    : gCount()
' @@@\ : eXg񐔂̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'   l : eXg̉
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    gCount = mtGrade(piTestIndex).tData.lAllCnt
End Property

Public Property Let gCount(ByVal piTestIndex As Integer, ByVal plCount As Long)
'---------------------------------------------------------------------------
'    : gCount()
' @@@\ : eXg񐔂̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) plCount        eXg
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
End Property

Public Property Get gMaxSpeed(ByVal piTestIndex As Integer) As Double
'---------------------------------------------------------------------------
'    : gMaxSpeed()
' @@@\ : ő͎Ԃ̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'   l : ő͎
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    gMaxSpeed = mtGrade(piTestIndex).tData.dMaxSpeed
End Property

Public Property Let gMaxSpeed(ByVal piTestIndex As Integer, ByVal pdMaxSpeed As Double)
'---------------------------------------------------------------------------
'    : gMaxSpeed()
' @@@\ : ő͎Ԃ̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) pdMaxSpeed     ͎
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
End Property

Public Property Get gMinSpeed(ByVal piTestIndex As Integer) As Double
'---------------------------------------------------------------------------
'    : gMinSpeed()
' @@@\ : Œx͎Ԃ̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'   l : Œx͎
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    gMinSpeed = mtGrade(piTestIndex).tData.dMinSpeed
End Property

Public Property Let gMinSpeed(ByVal piTestIndex As Integer, ByVal pdMinSpeed As Double)
'---------------------------------------------------------------------------
'    : gMinSpeed()
' @@@\ : Œx͎Ԃ̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) pdMinSpeed     ͎
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
End Property

Public Property Get gTime(ByVal piTestIndex As Integer, piIndex As Integer) As Double
'---------------------------------------------------------------------------
'    : gTime()
' @@@\ : ͎Ԃ̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) piIndex        eXg
'   l : ͎
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    gTime = mtGrade(piTestIndex).tData.dTime(piIndex)
End Property

Public Property Let gTime(ByVal piTestIndex As Integer, piIndex As Integer, ByVal pdTime As Double)
'---------------------------------------------------------------------------
'    : g1Time()
' @@@\ : ͎Ԃ̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) piIndex        eXg
'          : (I) pdTime         ݒ莞
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    Dim liloopcnt       As Integer          ' [vJE^

    For liloopcnt = ciSaveCnt To 1 Step -1
        mtGrade(piTestIndex).tData.dTime(liloopcnt) = mtGrade(piTestIndex).tData.dTime(liloopcnt - 1)
    Next liloopcnt
    mtGrade(piTestIndex).tData.dTime(0) = pdTime

    If mtGrade(piTestIndex).tData.dMaxSpeed <= 0 Or mtGrade(piTestIndex).tData.dMaxSpeed > pdTime Then
        mtGrade(piTestIndex).tData.dMaxSpeed = mtGrade(piTestIndex).tData.dTime(0)
    End If
    If mtGrade(piTestIndex).tData.dMinSpeed < pdTime Then
        mtGrade(piTestIndex).tData.dMinSpeed = mtGrade(piTestIndex).tData.dTime(0)
    End If

    mtGrade(piTestIndex).tData.lAllCnt = mtGrade(piTestIndex).tData.lAllCnt + 1
End Property

Public Property Get gMaxMiss(ByVal piTestIndex As Integer) As Integer
'---------------------------------------------------------------------------
'    : gMaxMiss()
' @@@\ : ő~X^Cv̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'   l : ő~X^Cv
' @@ : 1999/05/25
'---------------------------------------------------------------------------
    gMaxMiss = mtGrade(piTestIndex).tData.iMaxMiss
End Property

Public Property Let gMaxMiss(ByVal piTestIndex As Integer, ByVal piMaxMiss As Integer)
'---------------------------------------------------------------------------
'    : gMaxMiss()
' @@@\ : ő~X^Cv̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) piMinMiss      ~X^Cv
'   l : Ȃ
' @@ : 1999/05/25
'---------------------------------------------------------------------------
End Property

Public Property Get gMinMiss(ByVal piTestIndex As Integer) As Integer
'---------------------------------------------------------------------------
'    : gMinMiss()
' @@@\ : ŏ~X^Cv̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'   l : ŏ~X^Cv
' @@ : 1999/05/25
'---------------------------------------------------------------------------
    gMinMiss = mtGrade(piTestIndex).tData.iMinMiss
End Property

Public Property Let gMinMiss(ByVal piTestIndex As Integer, ByVal piMinMiss As Integer)
'---------------------------------------------------------------------------
'    : gMinMiss()
' @@@\ : ŏ~X^Cv̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) piMinMiss      ~X^Cv
'   l : Ȃ
' @@ : 1999/05/25
'---------------------------------------------------------------------------
End Property

Public Property Get gMiss(ByVal piTestIndex As Integer, ByVal piIndex As Integer) As Integer
'---------------------------------------------------------------------------
'    : gMiss()
' @@@\ : ~X^Cv̎擾
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) piIndex        eXg
'   l : ~X^Cv
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    gMiss = mtGrade(piTestIndex).tData.iMiss(piIndex)
End Property

Public Property Let gMiss(ByVal piTestIndex As Integer, ByVal piIndex As Integer, ByVal piMiss As Integer)
'---------------------------------------------------------------------------
'    : gMiss()
' @@@\ : ͎Ԃ̐ݒ
' @@ : (I) piTestIndex    eXgԍi㋉CCj
'          : (I) piIndex        eXg
'          : (I) piMiss         ~X^Cv
'   l : Ȃ
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    Dim liloopcnt       As Integer          ' [vJE^

    For liloopcnt = ciSaveCnt To 1 Step -1
        mtGrade(piTestIndex).tData.iMiss(liloopcnt) = mtGrade(piTestIndex).tData.iMiss(liloopcnt - 1)
    Next liloopcnt
    mtGrade(piTestIndex).tData.iMiss(0) = piMiss

    If mtGrade(piTestIndex).tData.iMaxMiss < piMiss Then
        mtGrade(piTestIndex).tData.iMaxMiss = mtGrade(piTestIndex).tData.iMiss(0)
    End If
    If mtGrade(piTestIndex).tData.iMinMiss > piMiss Then
        mtGrade(piTestIndex).tData.iMinMiss = mtGrade(piTestIndex).tData.iMiss(0)
    End If
End Property

Public Property Get pNeedCount() As Long
'---------------------------------------------------------------------------
'    : pNeedCount()
' @@@\ : L[͕̎擾
' @@ : Ȃ
'   l : L[͕
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    pNeedCount = mtPractice(1).lNeedCount
End Property

Public Property Let pNeedCount(ByVal plNeedCount As Long)
'---------------------------------------------------------------------------
'    : pNeedCount()
' @@@\ : L[͕̐ݒ
' @@ : (I) plNeedCount    L[͕
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(0).lNeedCount = plNeedCount
End Property

Public Property Get pInputSpeed() As Double
'---------------------------------------------------------------------------
'    : pInputSpeed()
' @@@\ : ͎Ԃ̎擾
' @@ : Ȃ
'   l : ͎
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    pInputSpeed = mtPractice(1).dInputSpeed
End Property

Public Property Let pInputSpeed(ByVal pdInputSpeed As Double)
'---------------------------------------------------------------------------
'    : pInputSpeed()
' @@@\ : ͎Ԃ̐ݒ
' @@ : (I) pdInputSpeed   ͎
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(0).dInputSpeed = pdInputSpeed
End Property

Public Property Get pPerMinute() As Integer
'---------------------------------------------------------------------------
'    : pPerMinute()
' @@@\ : P̓͐̎擾
' @@ : Ȃ
'   l : P̓͐
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    pPerMinute = mtPractice(1).iPerMinute
End Property

Public Property Let pPerMinute(ByVal piPerMinute As Integer)
'---------------------------------------------------------------------------
'    : pPerMinute()
' @@@\ : P̓͐̐ݒ
' @@ : (I) piPerMinute    P̓͐
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(0).iPerMinute = piPerMinute
End Property

Public Property Get pMissType() As Integer
'---------------------------------------------------------------------------
'    : pMissType()
' @@@\ : ~X^Cv̎擾
' @@ : Ȃ
'   l : ~X^Cv
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    pMissType = mtPractice(1).iMissType
End Property

Public Property Let pMissType(ByVal piMissType As Integer)
'---------------------------------------------------------------------------
'    : pMissType()
' @@@\ : ~X^Cv̐ݒ
' @@ : (I) piMissType     ~X^Cv
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(0).iMissType = piMissType
End Property

Public Property Get pMissKey(ByVal piMissChar As Integer) As Integer
'---------------------------------------------------------------------------
'    : pMissKey()
' @@@\ : L[̃~X̎擾
' @@ : (I) piMissChar     ԍ
'   l : L[̃~X
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    pMissKey = mtPractice(1).iMissKey(piMissChar)
End Property

Public Property Let pMissKey(ByVal piMissChar As Integer, ByVal piMissKey As Integer)
'---------------------------------------------------------------------------
'    : pMissKey()
' @@@\ : L[̃~X̐ݒ
' @@ : (I) piMissChar     ԍ
'          : (I) piMissKey      ~X^Cv
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(0).iMissKey(piMissChar) = mtPractice(0).iMissKey(piMissChar) + piMissKey
End Property

Public Sub ptPracticeInit()
'---------------------------------------------------------------------------
'    : ptPracticeInit()
' @@@\ : Kт̏
' @@ : Ȃ
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(0) = mtPractice(2)
End Sub

Public Sub ptPracticeSave()
'---------------------------------------------------------------------------
'    : ptPracticeSave()
' @@@\ : Kт̕ۑ
' @@ : Ȃ
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    mtPractice(1) = mtPractice(0)
End Sub

Public Property Get xCount() As Long
'---------------------------------------------------------------------------
'    : xCount()
' @@@\ : eLXgK񐔂̎擾
' @@ : Ȃ
'   l : eLXgK
' @@ : 1999/07/30
'---------------------------------------------------------------------------
    xCount = mtTextScore.lAllCnt
End Property

Public Property Let xCount(ByVal plCount As Long)
'---------------------------------------------------------------------------
'    : xCount()
' @@@\ : eLXgK񐔂̐ݒ
' @@ : (I) plCount        eLXgK
'   l : Ȃ
' @@ : 1999/07/30
'---------------------------------------------------------------------------
End Property

Public Property Get xInputNum(ByVal piIndex As Integer) As Long
'---------------------------------------------------------------------------
'    : xInputNum()
' @@@\ : eLXgK͐̎擾
' @@ : (I) piIndex        K
'   l : eLXgK͐
' @@ : 1999/07/31
'---------------------------------------------------------------------------
    xInputNum = mtTextScore.lInputNum(piIndex)
End Property

Public Property Let xInputNum(ByVal piIndex As Integer, ByVal plInputNum As Long)
'---------------------------------------------------------------------------
'    : xInputNum()
' @@@\ : eLXgK͐̐ݒ
' @@ : (I) piIndex        K
' @@ : (I) plInputNum     eLXgK͐
'   l : Ȃ
' @@ : 1999/07/31
'---------------------------------------------------------------------------
End Property

Public Property Get xMissType(ByVal piIndex As Integer) As Long
'---------------------------------------------------------------------------
'    : xMissType()
' @@@\ : eLXgK~X^Cv̎擾
' @@ : (I) piIndex        K
'   l : eLXgK~X^Cv
' @@ : 1999/07/31
'---------------------------------------------------------------------------
    xMissType = mtTextScore.lMissType(piIndex)
End Property

Public Property Let xMissType(ByVal piIndex As Integer, ByVal plMissType As Long)
'---------------------------------------------------------------------------
'    : xMissType()
' @@@\ : eLXgK~X^Cv̐ݒ
' @@ : (I) piIndex        K
' @@ : (I) plMissType     eLXgK~X^Cv
'   l : Ȃ
' @@ : 1999/07/31
'---------------------------------------------------------------------------
End Property

Public Property Get xInpParMin(ByVal piIndex As Integer) As Double
'---------------------------------------------------------------------------
'    : xInpParMin()
' @@@\ : P̓͐̎擾
' @@ : (I) piIndex        K
'   l : P̓͐
' @@ : 1999/07/30
'---------------------------------------------------------------------------
    xInpParMin = mtTextScore.dInpParMin(piIndex)
End Property

Public Property Let xInpParMin(ByVal piIndex As Integer, ByVal pdTime As Double)
'---------------------------------------------------------------------------
'    : xInpParMin()
' @@@\ : P̓͐̐ݒ
' @@ : (I) piIndex        K
'          : (I) pdTime         P̓͐
'   l : Ȃ
' @@ : 1999/07/30
'---------------------------------------------------------------------------
End Property

Public Sub xSetResults(ByVal plInputNum As Long, ByVal plMissType As Long, ByVal pdTime As Double)
'---------------------------------------------------------------------------
'    : xSetResults()
' @@@\ : eLXgKʂ̐ݒ
' @@ : (I) plInputNum     eLXgK͐
'          : (I) plMissType     ~X^Cv
'          : (I) pdTime         P̓͐
'   l : Ȃ
' @@ : 1999/07/31
'---------------------------------------------------------------------------
    Dim liloopcnt       As Integer      ' [vJE^

    For liloopcnt = ciSaveCnt To 1 Step -1
        mtTextScore.lInputNum(liloopcnt) = mtTextScore.lInputNum(liloopcnt - 1)
        mtTextScore.lMissType(liloopcnt) = mtTextScore.lMissType(liloopcnt - 1)
        mtTextScore.dInpParMin(liloopcnt) = mtTextScore.dInpParMin(liloopcnt - 1)
    Next liloopcnt
    mtTextScore.lInputNum(0) = plInputNum
    mtTextScore.lMissType(0) = plMissType
    mtTextScore.dInpParMin(0) = pdTime

    mtTextScore.lAllCnt = mtTextScore.lAllCnt + 1
End Sub

Public Property Get bScore(ByVal piRank As Integer) As Long
'---------------------------------------------------------------------------
'    : bScore()
' @@@\ : D蓾_̎擾
' @@ : (I) piRank         
'   l : D蓾_
' @@ : 1999/05/30
'---------------------------------------------------------------------------
    bScore = mtBalScore(piRank).lScore
End Property

Public Property Let bScore(ByVal piRank As Integer, ByVal plScore As Long)
'---------------------------------------------------------------------------
'    : bScore()
' @@@\ : D蓾_̐ݒ
' @@ : (I) piRank         
'          : (I) plScore        _
'   l : Ȃ
' @@ : 1999/05/30
'---------------------------------------------------------------------------
End Property

Public Property Get bLevel(ByVal piRank As Integer) As Long
'---------------------------------------------------------------------------
'    : bLevel()
' @@@\ : D背x̎擾
' @@ : (I) piRank         
'   l : D背x
' @@ : 1999/05/30
'---------------------------------------------------------------------------
    bLevel = mtBalScore(piRank).lLevel
End Property

Public Property Let bLevel(ByVal piRank As Integer, ByVal plLevel As Long)
'---------------------------------------------------------------------------
'    : bLevel()
' @@@\ : D背x̐ݒ
' @@ : (I) piRank         
'          : (I) plLevel        x
'   l : Ȃ
' @@ : 1999/05/30
'---------------------------------------------------------------------------
End Property

Public Property Get bDate(ByVal piRank As Integer) As String
'---------------------------------------------------------------------------
'    : bDate()
' @@@\ : Dt̎擾
' @@ : (I) piRank         
'   l : Dt
' @@ : 1999/05/30
'---------------------------------------------------------------------------
    bDate = RTrim(mtBalScore(piRank).sDate)
End Property

Public Property Let bDate(ByVal piRank As Integer, ByVal psDate As String)
'---------------------------------------------------------------------------
'    : bDate()
' @@@\ : Dt̐ݒ
' @@ : (I) piRank         
'          : (I) psDate         t
'   l : Ȃ
' @@ : 1999/05/30
'---------------------------------------------------------------------------
End Property

Public Property Get bName(ByVal piRank As Integer) As String
'---------------------------------------------------------------------------
'    : bName()
' @@@\ : D薼O̎擾
' @@ : (I) piRank         
'   l : D薼O
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    bName = RTrim(mtBalScore(piRank).sName)
End Property

Public Property Let bName(ByVal piRank As Integer, ByVal psName As String)
'---------------------------------------------------------------------------
'    : bName()
' @@@\ : D薼O̐ݒ
' @@ : (I) piRank         
'          : (I) psName         O
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
End Property

Public Function ptbSetData(ByVal plScore As Long, ByVal plLevel As Long) As Integer
'---------------------------------------------------------------------------
'    : ptbSetData()
' @@@\ : D蓾_̐ݒ
' @@ : (I) plScore        _
'          : (I) plLevel        x
'   l : Ȃ
' @@ : 1999/05/30
'---------------------------------------------------------------------------
    Dim liloopcnt           As Integer          ' [vJE^
    Dim liRank              As Integer          ' ̏

    liRank = -1
    For liloopcnt = 0 To ciMaxRank
        If mtBalScore(liloopcnt).lScore < plScore Then
            liRank = liloopcnt
            Exit For
        End If
    Next liloopcnt

    If liRank <> -1 Then
        For liloopcnt = ciMaxRank - 1 To liRank Step -1
            mtBalScore(liloopcnt + 1).lScore = mtBalScore(liloopcnt).lScore
            mtBalScore(liloopcnt + 1).lLevel = mtBalScore(liloopcnt).lLevel
            mtBalScore(liloopcnt + 1).sDate = mtBalScore(liloopcnt).sDate
            mtBalScore(liloopcnt + 1).sName = mtBalScore(liloopcnt).sName
        Next liloopcnt
        mtBalScore(liRank).lScore = plScore
        mtBalScore(liRank).lLevel = plLevel
        mtBalScore(liRank).sDate = Format(Date, "yyyy/mm/dd")
        mtBalScore(liRank).sName = basParam.playerName
    End If

    If liRank = -1 Then
        mtBalScore(ciMaxRank).lScore = plScore
        mtBalScore(ciMaxRank).lLevel = plLevel
        mtBalScore(ciMaxRank).sDate = Format(Date, "yyyy/mm/dd")
        mtBalScore(ciMaxRank).sName = basParam.playerName
        liRank = ciMaxRank
    End If
    ptbSetData = liRank
End Function

Public Property Get tScore(ByVal piRank As Integer) As Long
'---------------------------------------------------------------------------
'    : tScore()
' @@@\ : I˂蓾_̎擾
' @@ : (I) piRank         
'   l : I˂蓾_
' @@ : 1999/06/05
'---------------------------------------------------------------------------
    tScore = mtTargScore(piRank).lScore
End Property

Public Property Let tScore(ByVal piRank As Integer, ByVal plScore As Long)
'---------------------------------------------------------------------------
'    : tScore()
' @@@\ : I˂蓾_̐ݒ
' @@ : (I) piRank         
'          : (I) plScore        _
'   l : Ȃ
' @@ : 1999/06/05
'---------------------------------------------------------------------------
End Property

Public Property Get tDate(ByVal piRank As Integer) As String
'---------------------------------------------------------------------------
'    : tDate()
' @@@\ : I˂t̎擾
' @@ : (I) piRank         
'   l : I˂t
' @@ : 1999/06/05
'---------------------------------------------------------------------------
    tDate = RTrim(mtTargScore(piRank).sDate)
End Property

Public Property Let tDate(ByVal piRank As Integer, ByVal psDate As String)
'---------------------------------------------------------------------------
'    : tDate()
' @@@\ : I˂t̐ݒ
' @@ : (I) piRank         
'          : (I) psDate         t
'   l : Ȃ
' @@ : 1999/06/05
'---------------------------------------------------------------------------
End Property

Public Property Get tName(ByVal piRank As Integer) As String
'---------------------------------------------------------------------------
'    : tName()
' @@@\ : I˂薼O̎擾
' @@ : (I) piRank         
'   l : I˂薼O
' @@ : 1999/06/30
'---------------------------------------------------------------------------
    tName = RTrim(mtTargScore(piRank).sName)
End Property

Public Property Let tName(ByVal piRank As Integer, ByVal psName As String)
'---------------------------------------------------------------------------
'    : tName()
' @@@\ : I˂薼O̐ݒ
' @@ : (I) piRank         
'          : (I) psName         O
'   l : Ȃ
' @@ : 1999/06/30
'---------------------------------------------------------------------------
End Property

Public Function pttSetData(ByVal plScore As Long) As Integer
'---------------------------------------------------------------------------
'    : pttSetData()
' @@@\ : I˂蓾_̐ݒ
' @@ : (I) plScore        _
'   l : Ȃ
' @@ : 1999/06/05
'---------------------------------------------------------------------------
    Dim liloopcnt           As Integer          ' [vJE^
    Dim liRank              As Integer          ' ̏

    liRank = -1
    For liloopcnt = 0 To ciMaxRank
        If mtTargScore(liloopcnt).lScore < plScore Then
            liRank = liloopcnt
            Exit For
        End If
    Next liloopcnt

    If liRank <> -1 Then
        For liloopcnt = ciMaxRank - 1 To liRank Step -1
            mtTargScore(liloopcnt + 1).lScore = mtTargScore(liloopcnt).lScore
            mtTargScore(liloopcnt + 1).sDate = mtTargScore(liloopcnt).sDate
            mtTargScore(liloopcnt + 1).sName = mtTargScore(liloopcnt).sName
        Next liloopcnt
        mtTargScore(liRank).lScore = plScore
        mtTargScore(liRank).sDate = Format(Date, "yyyy/mm/dd")
        mtTargScore(liRank).sName = basParam.playerName
    End If

    If liRank = -1 Then
        mtTargScore(ciMaxRank).lScore = plScore
        mtTargScore(ciMaxRank).sDate = Format(Date, "yyyy/mm/dd")
        mtTargScore(ciMaxRank).sName = basParam.playerName
        liRank = ciMaxRank
    End If

    pttSetData = liRank
End Function

Public Property Get sTime(ByVal piRank As Integer) As Double
'---------------------------------------------------------------------------
'    : sTime()
' @@@\ : Ԃ̎擾
' @@ : (I) piRank         
'   l : 
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    sTime = mtSpeedScore(piRank).lTime / 1000
End Property

Public Property Let sTime(ByVal piRank As Integer, ByVal pdTime As Double)
'---------------------------------------------------------------------------
'    : sTime()
' @@@\ : Ԃ̐ݒ
' @@ : (I) piRank         
'          : (I) pdTime         
'   l : Ȃ
' @@ : 1999/07/05
'---------------------------------------------------------------------------
End Property

Public Property Get sMiss(ByVal piRank As Integer) As Integer
'---------------------------------------------------------------------------
'    : sMiss()
' @@@\ : ~X^Cv̎擾
' @@ : (I) piRank         
'   l : ~X^Cv
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    sMiss = mtSpeedScore(piRank).iMissType
End Property

Public Property Let sMiss(ByVal piRank As Integer, ByVal piMissType As Integer)
'---------------------------------------------------------------------------
'    : sMiss()
' @@@\ : ~X^Cv̐ݒ
' @@ : (I) piRank         
'          : (I) piMissType     ~X^Cv
'   l : Ȃ
' @@ : 1999/07/05
'---------------------------------------------------------------------------
End Property

Public Property Get sDate(ByVal piRank As Integer) As String
'---------------------------------------------------------------------------
'    : sDate()
' @@@\ : t̎擾
' @@ : (I) piRank         
'   l : t
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    sDate = RTrim(mtSpeedScore(piRank).sDate)
End Property

Public Property Let sDate(ByVal piRank As Integer, ByVal psDate As String)
'---------------------------------------------------------------------------
'    : sDate()
' @@@\ : t̐ݒ
' @@ : (I) piRank         
'          : (I) psDate         t
'   l : Ȃ
' @@ : 1999/07/05
'---------------------------------------------------------------------------
End Property

Public Property Get sName(ByVal piRank As Integer) As String
'---------------------------------------------------------------------------
'    : sName()
' @@@\ : O̎擾
' @@ : (I) piRank         
'   l : O
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    sName = RTrim(mtSpeedScore(piRank).sName)
End Property

Public Property Let sName(ByVal piRank As Integer, ByVal psName As String)
'---------------------------------------------------------------------------
'    : sName()
' @@@\ : O̐ݒ
' @@ : (I) piRank         
'          : (I) psName         O
'   l : Ȃ
' @@ : 1999/07/05
'---------------------------------------------------------------------------
End Property

Public Function ptsSetData(ByVal plTime As Long, ByVal piMissType As Integer) As Integer
'---------------------------------------------------------------------------
'    : ptsSetData()
' @@@\ : Ԃ̐ݒ
' @@ : (I) plTime         
'          : (I) piMissType     ~X^Cv
'   l : Ȃ
' @@ : 1999/07/05
'---------------------------------------------------------------------------
    Dim liloopcnt           As Integer          ' [vJE^
    Dim liRank              As Integer          ' ̏
    Dim liStartIndex        As Integer          ' Jnԍ
    Dim liEndIndex          As Integer          ' Iԍ

    If basParam.speedType = 0 Then
        liStartIndex = 0
        liEndIndex = ciMaxRank
    Else
        liStartIndex = ciMaxRank + 1
        liEndIndex = ciMaxRank * 2
    End If

    liRank = -1
    For liloopcnt = liStartIndex To liEndIndex
        If (mtSpeedScore(liloopcnt).lTime > plTime) Or (mtSpeedScore(liloopcnt).lTime = 0) Then
            liRank = liloopcnt
            Exit For
        End If
    Next liloopcnt

    If liRank <> -1 Then
        For liloopcnt = liEndIndex - 1 To liRank Step -1
            mtSpeedScore(liloopcnt + 1).lTime = mtSpeedScore(liloopcnt).lTime
            mtSpeedScore(liloopcnt + 1).iMissType = mtSpeedScore(liloopcnt).iMissType
            mtSpeedScore(liloopcnt + 1).sDate = mtSpeedScore(liloopcnt).sDate
            mtSpeedScore(liloopcnt + 1).sName = mtSpeedScore(liloopcnt).sName
        Next liloopcnt
        mtSpeedScore(liRank).lTime = plTime
        mtSpeedScore(liRank).iMissType = piMissType
        mtSpeedScore(liRank).sDate = Format(Date, "yyyy/mm/dd")
        mtSpeedScore(liRank).sName = basParam.playerName
    End If

    If liRank = -1 Then
        mtSpeedScore(ciMaxRank).lTime = plTime
        mtSpeedScore(ciMaxRank).iMissType = piMissType
        mtSpeedScore(ciMaxRank).sDate = Format(Date, "yyyy/mm/dd")
        mtSpeedScore(ciMaxRank).sName = basParam.playerName
        ptsSetData = ciMaxRank
    ElseIf basParam.speedType <> 0 Then
        ptsSetData = liRank - (ciMaxRank + 1)
    Else
        ptsSetData = liRank
    End If
End Function

Public Function ptReadDatFile() As Boolean
'---------------------------------------------------------------------------
'    : ptReadDatFile()
' @@@\ : уt@Cǂݍ
' @@ : Ȃ
'   l : True= , False= s
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    Dim liFileNo        As Integer          ' t@Cԍ
    Dim lsFileName      As String           ' t@C
    Dim lsDatVer        As String * 8       ' o[Wԍ

    On Error GoTo ptReadDatFile_Error

    lsFileName = basParam.dataFile
    liFileNo = FreeFile

    Open lsFileName For Binary Access Read As liFileNo
    Get #liFileNo, , lsDatVer

    If lsDatVer = "00002.00" Then
        Get #liFileNo, , mtGrade
        Get #liFileNo, , mtBalScore
        Get #liFileNo, , mtTargScore
    ElseIf lsDatVer = "00003.00" Then
        Get #liFileNo, , mtGrade
        Get #liFileNo, , mtBalScore
        Get #liFileNo, , mtTargScore
        Get #liFileNo, , mtSpeedScore
    ElseIf lsDatVer = "00005.00" Then
        Get #liFileNo, , mtGrade
        Get #liFileNo, , mtBalScore
        Get #liFileNo, , mtTargScore
        Get #liFileNo, , mtSpeedScore
        Get #liFileNo, , mtTextScore
    End If
    Close liFileNo

    ptReadDatFile = True
    Exit Function

ptReadDatFile_Error:
    Close liFileNo
    ptReadDatFile = False
End Function

Public Function ptWriteDatFile() As Boolean
'---------------------------------------------------------------------------
'    : ptWriteDatFile()
' @@@\ : уt@C̏
' @@ : Ȃ
'   l : True= , False= s
' @@ : 1999/05/06
'---------------------------------------------------------------------------
    Dim liFileNo        As Integer          ' t@Cԍ
    Dim lsFileName      As String           ' t@C
    Dim liRetCode       As Integer          ' ߂l

    On Error GoTo ptWriteDatFile_Error

    lsFileName = basParam.dataFile
    liFileNo = FreeFile

    Open lsFileName For Binary Access Write As liFileNo
    Put #liFileNo, , csDatVersion
    Put #liFileNo, , mtGrade
    Put #liFileNo, , mtBalScore
    Put #liFileNo, , mtTargScore
    Put #liFileNo, , mtSpeedScore
    Put #liFileNo, , mtTextScore
    Close liFileNo

    ptWriteDatFile = True
    Exit Function

ptWriteDatFile_Error:
    liRetCode = MsgBox("уt@C݂̏Ɏs܂B" & vbCrLf & lsFileName, vbCritical Or vbRetryCancel, "G[")
    If liRetCode = vbRetry Then
        Resume
    End If
    Close liFileNo
    ptWriteDatFile = False
End Function

Public Sub ptInitialScore()
'---------------------------------------------------------------------------
'    : ptInitialScore()
' @@@\ : я
' @@ : Ȃ
'   l : Ȃ
' @@ : 1999/05/25
'---------------------------------------------------------------------------
    Dim liloopcnt       As Integer          ' [vJE^

    For liloopcnt = 0 To 2
        mtGrade(liloopcnt).tData.lAllCnt = 0

        mtGrade(liloopcnt).tData.dMaxSpeed = 0
        mtGrade(liloopcnt).tData.dMinSpeed = 0
        mtGrade(liloopcnt).tData.dTime(0) = 0
        mtGrade(liloopcnt).tData.dTime(1) = 0
        mtGrade(liloopcnt).tData.dTime(2) = 0

        mtGrade(liloopcnt).tData.iMaxMiss = 0
        mtGrade(liloopcnt).tData.iMinMiss = 0
        mtGrade(liloopcnt).tData.iMiss(0) = 0
        mtGrade(liloopcnt).tData.iMiss(1) = 0
        mtGrade(liloopcnt).tData.iMiss(2) = 0
    Next liloopcnt
End Sub
